/*
  binforge - Repository system for Windows
  Copyright (C) 2009 Younes Serraj  Tous droits rservs.

  Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
  modifier suivant les termes de la GNU General Public License telle que
  publie par la Free Software Foundation : soit la version 3 de cette
  licence, soit ( votre gr) toute version ultrieure.

  Ce programme est distribu dans lespoir quil vous sera utile, mais SANS
  AUCUNE GARANTIE : sans mme la garantie implicite de COMMERCIALISABILIT
  ni dADQUATION  UN OBJECTIF PARTICULIER. Consultez la Licence Gnrale
  Publique GNU pour plus de dtails.

  Vous devriez avoir reu une copie de la Licence Gnrale Publique GNU avec
  ce programme ; si ce nest pas le cas, consultez :
  <http://www.gnu.org/licenses/>.
*/

#ifndef BINFORGE_H
#define BINFORGE_H

#define BF_VERSION "0.2.0"

#define VERBOSE 1

#define true 1==1
#define false 1==0

#define END_OF_LINE "\n"
#define SOCKET_MESSAGE_MAXLEN 2048

#define BINFORGE_PACKAGES_DB "packages.db"
#define BINFORGE_PACKAGES_REPOSITORY "repository"

#include "stringop.h"
#include "files.h"
#include "packages.h"
#include "thread.h"
#include "socket.h"

#include "stringop.c"
#include "files.c"
#include "packages.c"
#include "thread.c"
#include "socket.c"

#endif BINFORGE_H
