/*
  binforge - Repository system for Windows
  Copyright (C) 2009 Younes Serraj  Tous droits rservs.

  Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
  modifier suivant les termes de la GNU General Public License telle que
  publie par la Free Software Foundation : soit la version 3 de cette
  licence, soit ( votre gr) toute version ultrieure.

  Ce programme est distribu dans lespoir quil vous sera utile, mais SANS
  AUCUNE GARANTIE : sans mme la garantie implicite de COMMERCIALISABILIT
  ni dADQUATION  UN OBJECTIF PARTICULIER. Consultez la Licence Gnrale
  Publique GNU pour plus de dtails.

  Vous devriez avoir reu une copie de la Licence Gnrale Publique GNU avec
  ce programme ; si ce nest pas le cas, consultez :
  <http://www.gnu.org/licenses/>.
*/

#ifdef BINFORGE_H
#ifndef SOCKET_H
#define SOCKET_H

#include <stdio.h>
#include <winsock2.h>
#pragma comment(lib, "ws2_32.lib")
#include "thread.h"

struct callback_params {
    HANDLE h;
	int s;
	struct sockaddr_in s_in;
};

int sck_init();
void sck_clear();

int sck_makeSocket();
int sck_connect(char *host, int port);
void sck_listen(int port, void(*callback)(struct callback_params*), int multithread);

char *sck_read(int sock, int maxlen);
char *sck_readln(int sock, int maxlen);

int sck_send(int sock, char *data);
int sck_sendln(int sock, char *data);

int sck_close(int s);

#endif SOCKET_H
#endif BINFORGE_H
